﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Images;
using bbiwarg.Detectors.FingerDetection;
using Emgu.CV;
using Emgu.CV.Structure;

namespace bbiwarg.Detectors.HandDetection
{
    class HandDetector
    {
        private DepthImage depthImage;
        private EdgeImage edgeImage;
        private List<Finger> fingers;
        public List<Hand> Hands { get; private set; }

        public HandDetector(DepthImage depthImage, EdgeImage edgeImage, List<Finger> fingers) {
            this.depthImage = depthImage;
            this.edgeImage = edgeImage;
            this.fingers = fingers;

            detectHands();
        }

        private void detectHands() {
            Image<Gray, byte> image = edgeImage.Image.Copy();

            //draw top finger slice
            foreach (Finger finger in fingers) {
                FingerSlice topSlice = finger.SliceTrail.Start;
                image.Draw(new LineSegment2D(topSlice.Start, topSlice.End), new Gray(255), 2);
            }

            int numHands = 0;
            foreach (Finger finger in fingers) {
                
            }

        }
    }
}
